import React, { useState, useEffect } from 'react';
import ReactDom from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

// Setting width to 960
const width = 960;

// Setting height to 500
const height = 500;

const App = () => {
  
  // Extract and Load data from url
  const data = useData();
  if (!data) {
    return <pre>Loading...</pre>;
  }

  // Set the width and height and return svg
  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
